.action-form {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	border-top: 1px solid #e9e9e9;
	padding: 10px 16px;
	background: #fff;
	text-align: right;
}

.ant-notification {
	z-index: 99999999;
}

.ant-drawer {
	.ant-drawer-wrapper-body {
		background-color: rgb(243, 246, 249);
	}
}

.report-manage-actions {
	padding: 0 0 20px 0;
	display: flex;
	justify-content: flex-end;
	.ant-btn.ant-btn-sm {
		padding: 0 15px !important;
	}
}

.campaign-report-actions {
	display: flex;
	white-space: nowrap;
}

.preview {
	position: absolute;
	display: none;
	border-radius: 4px;
	transform: translate(0%, -50%);
	height: 90vh;
	width: 400px;
	top: 50%;
	right: 740px;
	background: #fff;

	.btnEsc {
		position: absolute;
		display: flex;
		justify-content: center;
		border-color: #aaa;
		border-radius: 2px;
		padding: 6px;
		width: 30px;
		height: 30px;
		right: 5px;
		opacity: 0.2;
		background: #ccc;
		top: 5px;

		&:hover {
			color: #000;
			opacity: 1;
		}
	}

	&:hover {
		.carouselBtn {
			opacity: 0.2;
		}
		.btnEsc {
			opacity: 0.7;
		}
	}

	.carouselBtn {
		position: absolute;
		font-size: 24px;
		top: calc(45vh - 12px);
		color: #000;
		opacity: 0;
		transition: opacity 0.2s;
		user-select: none;

		&:hover {
			opacity: 0.7;
		}
	}

	.slick-dots li button,
	.slick-dots li.slick-active button {
		background: #000;
	}
}

.miniature {
	width: 50px;
	height: 50px;
	margin-right: 7px;
	border: 1px solid #999;
	border-radius: 10px;
}

.imgHolder {
	height: 90vh;
	background: #fff;
	display: flex !important;
	flex-direction: column;
	justify-content: center;
	opacity: 0;
	animation: fadeIn 0.3s forwards;

	img {
		object-fit: contain;
		max-width: 400px;
		max-height: 90vh;
	}
}

.override-price-container {
	label {
		text-transform: uppercase;
	}
}

@keyframes fadeIn {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

.button {
	font-size: 16px;
}

.insights-data {
	position: relative;
}

.fetching-data {
	position: absolute;
	background-color: #fff;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.2s ease-in-out, visibility 0.2s ease-in-out;

	&.visible {
		opacity: 1;
		visibility: visible;
	}

	.collabspin {
		margin: 0 auto;
		display: block;
	}

	&__text {
		text-align: center;
		display: block;
		padding: 10px 0;
	}
}

.fetch-stats {
	position: relative;

	i {
		position: absolute;
		top: -4px;
		right: -2px;
	}
}

.assignment-user {
	display: flex;
	align-items: center;
}
